## sysvinit-2.69.tar.gz

=== Makefile ===
#
# Makefile	Makefile for the systemV init suite.
#		Targets:   all      compiles everything
#		           install  installs the binaries (not the scripts)
#                          clean    cleans up
#
# Version:	@(#)Makefile  2.66  29-Oct-1996  MvS
#

CC	= cc
CFLAGS	= -Wall -O2 -D_GNU_SOURCE
LDFLAGS	= -s
STATIC	=

# Use the first 2 lines to build all of the programs (some are non-debian).
# PROGS	= init halt shutdown powerd killall5 runlevel sulogin utmpdump \
#		last mesg wall start-stop-daemon
PROGS	= init halt shutdown powerd killall5 runlevel sulogin last mesg

BIN_OWNER	= root
BIN_GROUP	= root
BIN_COMBO	= $(BIN_OWNER).$(BIN_GROUP)
INSTALL		= install -o $(BIN_OWNER) -g $(BIN_GROUP)

ifneq ($(wildcard /usr/lib/libcrypt.a),)
LIBS		= -lcrypt
endif

all:		$(PROGS)

init:		init.c
		$(CC) $(CFLAGS) $(LDFLAGS) $(STATIC) -o $@ init.c

shutdown.o:	shutdown.c

halt:		halt.c

last:		last.c

mesg:		mesg.c

utmpdump:	utmpdump.c

powerd:		powerd.c
		$(CC) $(CFLAGS) $(LDFLAGS) -o $@ powerd.c

sulogin:	sulogin.c
		$(CC) $(CFLAGS) $(LDFLAGS) $(STATIC) -o $@ sulogin.c $(LIBS)

start-stop-daemon:	start-stop-daemon.c
		$(CC) $(CFLAGS) $(LDFLAGS) $(STATIC) -o $@ start-stop-daemon.c

wall:		dowall.o wall.o
		$(CC) $(CFLAGS) $(LDFLAGS) -o $@ dowall.o wall.o

shutdown:	dowall.o shutdown.o
		$(CC) $(CFLAGS) $(LDFLAGS) -o $@ dowall.o shutdown.o

dowall.o:	dowall.c

wall.o:		wall.c

runlevel:	runlevel.c

killall5:	killall5.c

cleanobjs:
		rm -f *.o *.bak

clean:		cleanobjs
		@echo Type \"make clobber\" to really clean up.

clobber:	cleanobjs
		rm -f $(PROGS)

install:
		$(INSTALL) -m 755 halt init killall5 sulogin \
			powerd runlevel shutdown $(ROOT)/sbin
		# These are not installed by default
		# $(INSTALL) -m 555 utmpdump wall $(ROOT)/usr/bin
		# $(INSTALL) -m 755 etc/initscript.sample $(ROOT)/etc
		$(INSTALL) -m 755 mesg last $(ROOT)/usr/bin
		cd $(ROOT)/usr/bin; ln -sf last lastb; chown $(BIN_COMBO) lastb
		cd $(ROOT)/sbin; ln -sf halt reboot; chown $(BIN_COMBO) reboot
		cd $(ROOT)/sbin; ln -sf killall5 pidof; chown $(BIN_COMBO) pidof
		cd $(ROOT)/sbin; ln -sf init telinit; chown $(BIN_COMBO) telinit
		$(INSTALL) -m 644 *.8 $(ROOT)/usr/man/man8
		$(INSTALL) -m 644 *.5 $(ROOT)/usr/man/man5
		# Some manpages not installed by default.
		# $(INSTALL) -m 644 wall.1 $(ROOT)/usr/man/man1
		$(INSTALL) -m 644 last.1 lastb.1 mesg.1 $(ROOT)/usr/man/man1
		#
		# This part is skipped on debian systems, the
		# debian.preinst script takes care of it.
		@if [ ! -p /dev/initctl ]; then \
		 echo "Creating /dev/initctl"; \
		 rm -f /dev/initctl; \
		 mknod -m 600 /dev/initctl p; fi

=== debian/changelog ===
sysvinit (2.69-1) frozen unstable; urgency=medium

  * Fixed bug that can throw X in a loop (or any other app that reads from
    /dev/tty0)
  * Moved inittab to /usr/doc/sysvinit/examples so that it is no longer
    a config file.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sun, 1 Dec 1996 15:32:24 +0100

sysvinit (2.68-1) frozen unstable; urgency=high

  * Added dummy fsck.nfs [temporary] (Bug#5492)
  * Changing /etc/motd optional (Bug#5493)
  * Typo in /etc/init.d/urandom fixed (Bug#5556)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 27 Nov 1996 17:30:36 +0100

sysvinit (2.67-1) frozen unstable; urgency=high

  * Fixes problem with /dev/console being controlling terminal of some
    daemons
  * Some fixes in debian bootup script "boot"
  * Puts copyright file in the right place
  * Move random-seed stuff to its own file
  * Fix skeleton file (add set -e)
  * Change preinst/postinst scripts to save all variables from "boot" file
  * moved /etc/init.d/network to /usr/doc/examples/sysvinit
  * Changed "rc" script slightly (potential recipy for disaster..)
  * Various other fixes to close all outstanding bug reports.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 15 Nov 1996 12:23:33 +0100

sysvinit (2.66-1) unstable; urgency=medium

  * Skipped 2.65. A development 2.65 got out by accident and is apparently
    being used..
  * New source format
  * Also compiles and runs with GNU libc (and on the Alpha)
  * Fixed dowall.c not to exit when getpwuid() fails and uid == 0.
  * Fixed init panic'ing on empty lines in /etc/inittab
  * Changed default PATH to include /usr/local/sbin
  * Set /dev/console as controlling terminal for sysinit,bootwait,wait,powerwait
    This allows using ^C to interrupt some parts of eg the boot process.
  * Remove old symlink in /var/log/initlvl; let init check both
    /var/log and /etc itself.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 29 Oct 1996 13:46:54 +0100

=== debian/control ===
Source: sysvinit
Section: base
Priority: required
Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
Standards-Version: 2.1.1.0

Package: sysvinit
Essential: yes
Architecture: any
Pre-depends: libc5 (>=5.2.18-2)
Conflicts: last
Replaces: last, bsdutils (<=2.0-2)
Description: System-V like init.
 Init is the first program to run after your system is booted, and
 continues to run as process number 1 until your system halts. Init's
 job is to start other programs that are essential to the operation of
 your system. All processes are descended from init. For more information,
 see the manual page init(8).

=== debian/rules ===
#! /usr/bin/make -f
#
#	debian/rules file for sysvinit
#

# Name.
package = sysvinit
tmp     = debian/tmp

define checkdir
	test -f init.c
endef

build:
# Builds the binary package.
	$(checkdir)
	make
	touch build

# Architecture independant files.
binary-indep:   build
	$(checkdir)

# Make a binary package (.deb file)
binary-arch:	build checkroot
	-rm -rf $(tmp)
	install -d -g root -m 755 -o root $(tmp)
	install -d -g root -m 755 -o root $(tmp)/{DEBIAN,etc,usr}
	install -d -g root -m 755 -o root $(tmp)/usr/doc
	install -d -g root -m 755 -o root $(tmp)/usr/doc/$(package)
	install -d -g root -m 755 -o root $(tmp)/usr/doc/$(package)/examples
	cp -af debian/etc/* $(tmp)/etc
	cp -af debian/examples/* $(tmp)/usr/doc/$(package)/examples
	mv $(tmp)/etc/inittab $(tmp)/usr/doc/$(package)/examples
	chmod -R g-w $(tmp)
	chown -R root.root $(tmp)
	install -d -g root -m 755 -o root $(tmp)/sbin
	install -d -g root -m 755 -o root $(tmp)/usr/bin
	install -d -g root -m 755 -o root $(tmp)/usr/man/man{1,5,8}
	install -g root -m 755 debian/fsck.nfs $(tmp)/sbin/fsck.nfs
	make ROOT=$(tmp) install
	install -g root -m 644 debian/rc.boot.5 $(tmp)/usr/man/man5
	install -g root -m 644 debian/rc.local.5 $(tmp)/usr/man/man5
	install -d -g root -m 755 -o root $(tmp)/usr/doc/copyright
	install -g root -m 644 -o root debian/README \
	  $(tmp)/usr/doc/copyright/$(package)
	cp debian/preinst $(tmp)/DEBIAN/preinst
	cp debian/postinst $(tmp)/DEBIAN/postinst
	install -g root -m 644 debian/control $(tmp)/DEBIAN/control
	install -g root -m 644 -o root debian/conffiles \
	  $(tmp)/DEBIAN/conffiles
	dpkg-gencontrol
	dpkg --build $(tmp) ..
	rm -rf $(tmp)

clean:	checkroot
	make clobber
	rm -f build
	rm -rf $(tmp)
	find . -name '*.bak' -o -name '*~' | xargs -r rm -f --

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
